Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.eviction
Class LRUPolicy

    java.lang.Object
      org.jboss.cache.eviction.BaseEvictionPolicy
          org.jboss.cache.eviction.LRUPolicy

All Implemented Interfaces:
  EvictionPolicy

Direct Known Subclasses:
  AopLRUPolicy

    public class LRUPolicy

extends BaseEvictionPolicy
implements EvictionPolicy

Provider to provide eviction policy. This one is based on LRU algorithm that a user can specify either maximum number of nodes or the idle time of a node to be evicted.

Version:
  $Revision: 1.10 $
Author:
  Ben Wang 02-2004, Daniel Huang - dhuang@jboss.org

Field Summary
`protected EvictionAlgorithm` | `algorithm`
`protected RegionManager` | `regionManager_`

Fields inherited from class org.jboss.cache.eviction.BaseEvictionPolicy
`cache_`

Constructor Summary
`LRUPolicy()`

Method Summary
`void` | `configure(TreeCache cache)` Method called to configure this implementation.
`EvictionAlgorithm` | `getEvictionAlgorithm()` Get the associated EvictionAlgorithm used by the EvictionPolicy.
`java.lang.Class` | `getEvictionConfigurationClass()` The EvictionConfiguration implementation class used by this EvictionPolicy.

Methods inherited from class org.jboss.cache.eviction.BaseEvictionPolicy
`canIgnoreEvent, evict, getCacheData, getChildrenNames, hasChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.cache.eviction.EvictionPolicy
`canIgnoreEvent, evict, getCacheData, getChildrenNames, hasChild`

Field Detail

### regionManager_

    protected RegionManager regionManager_

### algorithm

    protected EvictionAlgorithm algorithm

Constructor Detail

### LRUPolicy

    public LRUPolicy()

Method Detail

### getEvictionAlgorithm

    public EvictionAlgorithm getEvictionAlgorithm()

  Description copied from interface: `EvictionPolicy`
  Get the associated EvictionAlgorithm used by the EvictionPolicy.

  This relationship should be 1-1.

  Specified by:
    `getEvictionAlgorithm` in interface `EvictionPolicy`
  Returns:
    An EvictionAlgorithm implementation.

### getEvictionConfigurationClass

    public java.lang.Class getEvictionConfigurationClass()

  Description copied from interface: `EvictionPolicy`
  The EvictionConfiguration implementation class used by this EvictionPolicy.

  Specified by:
    `getEvictionConfigurationClass` in interface `EvictionPolicy`
  Returns:
    EvictionConfiguration implementation class.

### configure

    public void configure(TreeCache cache)

  Description copied from interface: `EvictionPolicy`
  Method called to configure this implementation.

  Specified by:
    `configure` in interface `EvictionPolicy`
  Overrides:
    `configure` in class `BaseEvictionPolicy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.